#/system/xbin/sh

#Variablen
# Samba Server /Cifs
# Benutzername 
USRN=blablubb
# Passwort
PASSW=12345
#ServerIP
SERVIP=192.168.1.105
#Name der Freigabe
DATN=Datenträger
#wifi SSID
SSIDV=Netzwerk







# start phone
am start -a android.intent.action.MAIN -n bdjnk.android.wakeydroid/.Wakey
clear
#enable system leds
echo 20 > /sys/class/leds/green/brightness 
echo 50 > /sys/class/leds/blue/brightness
echo heartbeat > /sys/class/leds/blue/trigger
#enable wifi if not
svc power stayon true
svc wifi enable
#generate log
DATUM=`date`
echo "" >> /data/mybackup/logfile.txt
echo $DATUM >> /data/mybackup/logfile.txt
# mit der richtigen ssid verbunden?
SSIDGO=`dumpsys wifi | grep -E "$SSIDV"  > /dev/null && echo ssidright`
if [ "$SSIDGO" == "ssidright" ]; then

	echo "wifi present - going on"
	sleep 2
else
		#su 
		exit 0
		#; ;
fi
#use cifs to mount storage
mount -o remount,rw /
mkdir /mnt/cifs/
mkdir /mnt/cifs/Samba1
/system/xbin/mount -o username=$USRN,unc=\\\\$SERVIP\\$DATN,pass=$PASSW -t cifs //$SERVIP/$DATN /mnt/cifs/Samba1
sleep 1
#make directory
mkdir /mnt/cifs/Samba1/Nexus4_Backup_daily
sync
#system
echo "sync system..." >> /data/mybackup/logfile.txt
rsync -rltDu /system /mnt/cifs/Samba1/Nexus4_Backup_daily
sleep 1
sync
#cache
echo "sync cache..." >> /data/mybackup/logfile.txt
rsync -rltDu /cache /mnt/cifs/Samba1/Nexus4_Backup_daily
sleep 1
sync
#userdata
echo "sync data..." >> /data/mybackup/logfile.txt
rsync -rltDu /data /mnt/cifs/Samba1/Nexus4_Backup_daily
sleep 1
sync
sleep 0.2
#persist
echo "sync persist..." >> /data/mybackup/logfile.txt
rsync -rltDu /persist /mnt/cifs/Samba1/Nexus4_Backup_daily
sleep 1
sync
#sdcard 
echo "sync sd-card..." >> /data/mybackup/logfile.txt
mkdir /mnt/cifs/Samba1/Nexus4_Backup_daily/sdcard
#cp -R /storage/emulated/legacy/* /mnt/cifs/Samba1/Nexus4_Backup_daily/sdcard
cd /storage/emulated/legacy && rsync -rltDu * /mnt/cifs/Samba1/Nexus4_Backup_daily/sdcard/
echo "done...please wait one moment"
sleep 5
sync
#go home
#input keyevent 3
sleep 2
#use cifs to unmount storage
umount /mnt/cifs/Samba1
#mount -o remount,rw /
#rm -R /mnt/cifs/Samba1
#mount -o remount,ro /
DATUM=`date`
echo $DATUM >> /data/mybackup/logfile.txt
echo "all done" >> /data/mybackup/logfile.txt
#disable system leds
echo none > /sys/class/leds/blue/trigger
echo 0 > /sys/class/leds/blue/brightness
echo 0 > /sys/class/leds/green/brightness
sleep 1
svc power stayon false
	exit
